xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (C) 2007 Andrea Rossato
License | BSD3
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

XMonad.Prompt.Ssh

Contents

- Usage

Description

A ssh prompt for XMonad

Synopsis

- sshPrompt :: XPConfig -> X ()
- data Ssh

# Usage

1. In your `xmonad.hs`:

    import XMonad.Prompt
    import XMonad.Prompt.Ssh

1. In your keybindings add something like:

      , ((modm .|. controlMask, xK_s), sshPrompt def)

Keep in mind, that if you want to use the completion you have to disable the "HashKnownHosts" option in your ssh_config

For detailed instruction on editing the key binding see the tutorial.

sshPrompt :: XPConfig -> X () #

data Ssh #

#### Instances

Instances details

XPrompt Ssh # |
Instance details Defined in XMonad.Prompt.Ssh Methods showXPrompt :: Ssh -> String # nextCompletion :: Ssh -> String -> [String] -> String # commandToComplete :: Ssh -> String -> String # completionToCommand :: Ssh -> String -> String # completionFunction :: Ssh -> ComplFunction # modeAction :: Ssh -> String -> String -> X () #